Subject: bug#56237: 29.0.50; delete-forward-char fails to delete character

From: Visuwesh <[email-masked]>
Date: Sun, 26 Jun 2022 21:43:47 +0530

[ஞாயிறு ஜூன் 26, 2022] [email-masked] wrote:

> delete-forward-char fails to delete if the point is between two composed
> characters.  To demonstrate,
>
>         1. emacs -Q
>         2. Yank "ரு போ" to the *scratch* buffer
>         3. Place the cursor on the space character and say <Delete>
>
> Observe how delete-forward-char does nothing.

It seems to have trouble with composed characters back to back: Say
<delete> when point is over the first composed character in ப்போ, it
deletes both the characters instead of just ப்.  But it copes fine when
you have ருரூ and the point is over the first composed character again.